## capsfilter capsfilter — Pass data without modification, limiting formats |

## Synopsis

    struct              GstCapsFilter;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GstObject
                   +----GstElement
                         +----GstBaseTransform
                               +----GstCapsFilter

## Properties

      "caps"                     GstCaps*              : Read / Write

## Description

The element does not modify data as such, but can enforce limitations on the data format.

### Example launch line

    1
    gst-launch videotestsrc ! video/x-raw,format=GRAY8 ! videoconvert ! autovideosink

Limits acceptable video from videotestsrc to be grayscale.

## Synopsis

### Element Information

plugin | coreelements
author | David Schleef <ds@schleef.org>
class | Generic

### Element Pads

name | sink
direction | sink
presence | always
details | ANY

name | src
direction | source
presence | always
details | ANY

## Details

### struct GstCapsFilter

    struct GstCapsFilter;

The opaque GstCapsFilter data structure.

## Property Details

### The `"caps"` property

      "caps"                     GstCaps*              : Read / Write

Restrict the possible allowed capabilities (NULL means ANY). Setting this property takes a reference to the supplied GstCaps object.